FreeMat

- Main Page
- Related Pages

vtkImageGradientMagnitude

Section: Visualization Toolkit Imaging Classes

# Usage

vtkImageGradientMagnitude computes the gradient magnitude of an image. Setting the dimensionality determines whether the gradient is computed on 2D images, or 3D volumes. The default is two dimensional XY images.

To create an instance of class vtkImageGradientMagnitude, simply invoke its constructor as follows

      obj = vtkImageGradientMagnitude

# Methods

The class vtkImageGradientMagnitude has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkImageGradientMagnitude class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkImageGradientMagnitude = obj.NewInstance ()`
- `vtkImageGradientMagnitude = obj.SafeDownCast (vtkObject o)`
- `obj.SetHandleBoundaries (int )` - If "HandleBoundariesOn" then boundary pixels are duplicated So central differences can get values.
- `int = obj.GetHandleBoundaries ()` - If "HandleBoundariesOn" then boundary pixels are duplicated So central differences can get values.
- `obj.HandleBoundariesOn ()` - If "HandleBoundariesOn" then boundary pixels are duplicated So central differences can get values.
- `obj.HandleBoundariesOff ()` - If "HandleBoundariesOn" then boundary pixels are duplicated So central differences can get values.
- `obj.SetDimensionality (int )` - Determines how the input is interpreted (set of 2d slices ...)
- `int = obj.GetDimensionalityMinValue ()` - Determines how the input is interpreted (set of 2d slices ...)
- `int = obj.GetDimensionalityMaxValue ()` - Determines how the input is interpreted (set of 2d slices ...)
- `int = obj.GetDimensionality ()` - Determines how the input is interpreted (set of 2d slices ...)